@echo off

REM  IBM Confidential
REM  OCO Source Materials
REM  Rational ClearCase
REM  (C) Copyright IBM Corp. 1992, 2005  All Rights Reserved.
REM
REM  The source code for this program is not published or otherwise
REM  divested of its trade secrets, irrespective of what has been
REM  deposited with the U.S. Copyright Office.

set mvfs_log_scrubber=%CLEARCASEHOME%\config\scheduler\tasks\mvfs_log_scrubber.pl
set other_log_scrubber=%CLEARCASEHOME%\config\scheduler\tasks\other_log_scrubber.pl
if "%RWPHOME%" == "" set RWPHOME=C:\Program Files\Rational\common\rwp
set rwp_log_scrubber=%RWPHOME%\bin\cleanuplogs.pl
set rwp_log_dir=%RWPHOME%\logs

REM ---- Scrub the MVFS Logs ----

if NOT EXIST "%mvfs_log_scrubber%" goto mvfs_skipped

"%CLEARCASEHOME%\bin\ccperl.exe" "%mvfs_log_scrubber%"

if NOT errorlevel 1 goto mvfs_ok

echo MVFS Log scrubber failed.

:mvfs_ok
:mvfs_skipped


REM ---- Scrub other non-Event-Viewer Logs ----

if NOT EXIST "%other_log_scrubber%" goto other_skipped

"%CLEARCASEHOME%\bin\ccperl.exe" "%other_log_scrubber%"

if NOT errorlevel 1 goto other_ok

echo OTHER Log scrubber failed.

:other_ok
:other_skipped

REM ---- Scrub Rational Web Platform Logs ----
REM ---- Under a Link-Install, the entire RWP directory tree will exist except the logs
REM ---- directory.  Check for the existance of the logs directory prior to invoking
REM ---- the scrubber.  If there are no logs, there is nothing to be done here.
REM ----
if NOT EXIST "%rwp_log_dir%" goto rwp_skipped
if NOT EXIST "%rwp_log_scrubber%" goto rwp_skipped

"%CLEARCASEHOME%\bin\ccperl.exe" "%rwp_log_scrubber%"

if NOT errorlevel 1 goto rwp_ok

echo RWP Log scrubber failed.

:rwp_ok
:rwp_skipped
